Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.log
Class StdErrLog

    java.lang.Object
      org.mortbay.log.StdErrLog

All Implemented Interfaces:
  Logger

    public class StdErrLog

extends Object
implements Logger

StdErr Logging. This implementation of the Logging facade sends all logs to StdErr with minimal formatting. If the system property DEBUG is set, then debug logs are printed if stderr is being used.

Constructor Summary
`StdErrLog()`
`StdErrLog(String name)`

Method Summary
`void` | `debug(String msg, Object arg0, Object arg1)`
`void` | `debug(String msg, Throwable th)`
`Logger` | `getLogger(String name)`
`void` | `info(String msg, Object arg0, Object arg1)`
`boolean` | `isDebugEnabled()`
`void` | `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programatically.
`String` | `toString()`
`void` | `warn(String msg, Object arg0, Object arg1)`
`void` | `warn(String msg, Throwable th)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StdErrLog

    public StdErrLog()

### StdErrLog

    public StdErrLog(String name)

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)

  Description copied from interface: `Logger`
  Mutator used to turn debug on programatically. Implementations operation in which case an appropriate warning message shall be generated.

  Specified by:
    `setDebugEnabled` in interface `Logger`

### info

    public void info(String msg,
                     Object arg0,
                     Object arg1)

  Specified by:
    `info` in interface `Logger`

### debug

    public void debug(String msg,
                      Throwable th)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(String msg,
                      Object arg0,
                      Object arg1)

  Specified by:
    `debug` in interface `Logger`

### warn

    public void warn(String msg,
                     Object arg0,
                     Object arg1)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(String msg,
                     Throwable th)

  Specified by:
    `warn` in interface `Logger`

### getLogger

    public Logger getLogger(String name)

  Specified by:
    `getLogger` in interface `Logger`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.